curl -X POST 'https://api.resend.com/suppressions/batch/add' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"emails": ["steve.wozniak@gmail.com", "bill.gates@microsoft.com"]
}'
{
"data": [
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3"
},
{
"object": "suppression",
"id": "520784e2-887d-4c25-b53c-4ad46ad38100"
}
]
}
Add Suppressions
Add up to 100 email addresses to the suppression list at once.
POST
/
suppressions
/
batch
/
add
curl -X POST 'https://api.resend.com/suppressions/batch/add' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"emails": ["steve.wozniak@gmail.com", "bill.gates@microsoft.com"]
}'
{
"data": [
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3"
},
{
"object": "suppression",
"id": "520784e2-887d-4c25-b53c-4ad46ad38100"
}
]
}
The Suppressions API is currently in private beta and only available to a
limited number of users. APIs might change before GA.Get in touch if you’re interested in testing
this feature.
Body Parameters
The email addresses to suppress. Must contain between 1 and 100 email
addresses.
curl -X POST 'https://api.resend.com/suppressions/batch/add' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"emails": ["steve.wozniak@gmail.com", "bill.gates@microsoft.com"]
}'
{
"data": [
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3"
},
{
"object": "suppression",
"id": "520784e2-887d-4c25-b53c-4ad46ad38100"
}
]
}
Was this page helpful?
⌘I